package net.mcreator.cabinfever.procedures;

import net.minecraft.world.IWorld;
import net.minecraft.entity.Entity;

import net.mcreator.cabinfever.world.ShowCabinFeverHudGameRule;
import net.mcreator.cabinfever.CabinFeverModVariables;
import net.mcreator.cabinfever.CabinFeverMod;

import java.util.Map;

public class CabinFeverHudShouldDisplayProcedure {

	public static boolean executeProcedure(Map<String, Object> dependencies) {
		if (dependencies.get("world") == null) {
			if (!dependencies.containsKey("world"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency world for procedure CabinFeverHudShouldDisplay!");
			return false;
		}
		if (dependencies.get("entity") == null) {
			if (!dependencies.containsKey("entity"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency entity for procedure CabinFeverHudShouldDisplay!");
			return false;
		}
		IWorld world = (IWorld) dependencies.get("world");
		Entity entity = (Entity) dependencies.get("entity");
		if (!((entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null)
				.orElse(new CabinFeverModVariables.PlayerVariables())).cabin_fever_risk > 300)) {
			if (world.getWorldInfo().getGameRulesInstance().getBoolean(ShowCabinFeverHudGameRule.gamerule)) {
				return true;
			} else {
				return false;
			}
		}
		return false;
	}
}
