package net.mcreator.cabinfever.procedures;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.TickEvent;

import net.minecraft.world.World;
import net.minecraft.world.IWorld;
import net.minecraft.util.math.BlockPos;
import net.minecraft.potion.EffectInstance;
import net.minecraft.entity.LivingEntity;
import net.minecraft.entity.Entity;
import net.minecraft.block.Blocks;
import net.minecraft.block.BlockState;

import net.mcreator.cabinfever.potion.CabinFeverPotionEffect;
import net.mcreator.cabinfever.CabinFeverModVariables;
import net.mcreator.cabinfever.CabinFeverMod;

import java.util.Map;
import java.util.HashMap;
import java.util.Collection;

public class CabinFeverDetectionProcedure {
	@Mod.EventBusSubscriber
	private static class GlobalTrigger {
		@SubscribeEvent
		public static void onPlayerTick(TickEvent.PlayerTickEvent event) {
			if (event.phase == TickEvent.Phase.END) {
				Entity entity = event.player;
				World world = entity.world;
				double i = entity.getPosX();
				double j = entity.getPosY();
				double k = entity.getPosZ();
				Map<String, Object> dependencies = new HashMap<>();
				dependencies.put("x", i);
				dependencies.put("y", j);
				dependencies.put("z", k);
				dependencies.put("world", world);
				dependencies.put("entity", entity);
				dependencies.put("event", event);
				executeProcedure(dependencies);
			}
		}
	}

	public static void executeProcedure(Map<String, Object> dependencies) {
		if (dependencies.get("world") == null) {
			if (!dependencies.containsKey("world"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency world for procedure CabinFeverDetection!");
			return;
		}
		if (dependencies.get("x") == null) {
			if (!dependencies.containsKey("x"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency x for procedure CabinFeverDetection!");
			return;
		}
		if (dependencies.get("y") == null) {
			if (!dependencies.containsKey("y"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency y for procedure CabinFeverDetection!");
			return;
		}
		if (dependencies.get("z") == null) {
			if (!dependencies.containsKey("z"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency z for procedure CabinFeverDetection!");
			return;
		}
		if (dependencies.get("entity") == null) {
			if (!dependencies.containsKey("entity"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency entity for procedure CabinFeverDetection!");
			return;
		}
		IWorld world = (IWorld) dependencies.get("world");
		double x = dependencies.get("x") instanceof Integer ? (int) dependencies.get("x") : (double) dependencies.get("x");
		double y = dependencies.get("y") instanceof Integer ? (int) dependencies.get("y") : (double) dependencies.get("y");
		double z = dependencies.get("z") instanceof Integer ? (int) dependencies.get("z") : (double) dependencies.get("z");
		Entity entity = (Entity) dependencies.get("entity");
		double add = 0;
		BlockState curblock = Blocks.AIR.getDefaultState();
		add = 2;
		while (add < 128 && y + add < 320) {
			curblock = (world.getBlockState(new BlockPos(x, y + add, z)));
			if ((curblock) == Blocks.AIR.getDefaultState()) {/*code*/
			} else if (!world.getBlockState(new BlockPos(x, y + add, z)).isSolid()) {/*code*/
			} else {
				{
					double _setval = ((entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null)
							.orElse(new CabinFeverModVariables.PlayerVariables())).cabin_fever_risk + 1);
					entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null).ifPresent(capability -> {
						capability.cabin_fever_risk = _setval;
						capability.syncPlayerVariables(entity);
					});
				}
				break;
			}
			add = (add + 1);
		}
		if (add >= 128 && y + add < 320) {
			{
				double _setval = ((entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null)
						.orElse(new CabinFeverModVariables.PlayerVariables())).cabin_fever_risk - 2);
				entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null).ifPresent(capability -> {
					capability.cabin_fever_risk = _setval;
					capability.syncPlayerVariables(entity);
				});
			}
		}
		if ((entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null)
				.orElse(new CabinFeverModVariables.PlayerVariables())).cabin_fever_risk < 0) {
			{
				double _setval = 0;
				entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null).ifPresent(capability -> {
					capability.cabin_fever_risk = _setval;
					capability.syncPlayerVariables(entity);
				});
			}
			if (new Object() {
				boolean check(Entity _entity) {
					if (_entity instanceof LivingEntity) {
						Collection<EffectInstance> effects = ((LivingEntity) _entity).getActivePotionEffects();
						for (EffectInstance effect : effects) {
							if (effect.getPotion() == CabinFeverPotionEffect.potion)
								return true;
						}
					}
					return false;
				}
			}.check(entity)) {
				if (entity instanceof LivingEntity) {
					((LivingEntity) entity).removePotionEffect(CabinFeverPotionEffect.potion);
				}
			}
		}
		if ((entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null)
				.orElse(new CabinFeverModVariables.PlayerVariables())).cabin_fever_risk > 16000) {
			if (!(new Object() {
				boolean check(Entity _entity) {
					if (_entity instanceof LivingEntity) {
						Collection<EffectInstance> effects = ((LivingEntity) _entity).getActivePotionEffects();
						for (EffectInstance effect : effects) {
							if (effect.getPotion() == CabinFeverPotionEffect.potion)
								return true;
						}
					}
					return false;
				}
			}.check(entity))) {
				if (entity instanceof LivingEntity)
					((LivingEntity) entity).addPotionEffect(new EffectInstance(CabinFeverPotionEffect.potion, (int) 9999999, (int) 1));
			}
		}
		if (new Object() {
			boolean check(Entity _entity) {
				if (_entity instanceof LivingEntity) {
					Collection<EffectInstance> effects = ((LivingEntity) _entity).getActivePotionEffects();
					for (EffectInstance effect : effects) {
						if (effect.getPotion() == CabinFeverPotionEffect.potion)
							return true;
					}
				}
				return false;
			}
		}.check(entity) && (entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null)
				.orElse(new CabinFeverModVariables.PlayerVariables())).cabin_fever_risk > 24000) {
			{
				double _setval = 24000;
				entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null).ifPresent(capability -> {
					capability.cabin_fever_risk = _setval;
					capability.syncPlayerVariables(entity);
				});
			}
		}
	}
}
