package net.mcreator.cabinfever.procedures;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.player.PlayerEvent;

import net.minecraft.world.server.ServerWorld;
import net.minecraft.world.World;
import net.minecraft.world.IWorld;
import net.minecraft.util.text.StringTextComponent;
import net.minecraft.util.math.vector.Vector3d;
import net.minecraft.util.math.vector.Vector2f;
import net.minecraft.entity.Entity;
import net.minecraft.command.ICommandSource;
import net.minecraft.command.CommandSource;

import net.mcreator.cabinfever.CabinFeverModVariables;
import net.mcreator.cabinfever.CabinFeverMod;

import java.util.Map;
import java.util.HashMap;

public class CabinFeverPlayerFirstSpawnProcedure {
	@Mod.EventBusSubscriber
	private static class GlobalTrigger {
		@SubscribeEvent
		public static void onPlayerLoggedIn(PlayerEvent.PlayerLoggedInEvent event) {
			Entity entity = event.getPlayer();
			Map<String, Object> dependencies = new HashMap<>();
			dependencies.put("x", entity.getPosX());
			dependencies.put("y", entity.getPosY());
			dependencies.put("z", entity.getPosZ());
			dependencies.put("world", entity.world);
			dependencies.put("entity", entity);
			dependencies.put("event", event);
			executeProcedure(dependencies);
		}
	}

	public static void executeProcedure(Map<String, Object> dependencies) {
		if (dependencies.get("world") == null) {
			if (!dependencies.containsKey("world"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency world for procedure CabinFeverPlayerFirstSpawn!");
			return;
		}
		if (dependencies.get("x") == null) {
			if (!dependencies.containsKey("x"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency x for procedure CabinFeverPlayerFirstSpawn!");
			return;
		}
		if (dependencies.get("y") == null) {
			if (!dependencies.containsKey("y"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency y for procedure CabinFeverPlayerFirstSpawn!");
			return;
		}
		if (dependencies.get("z") == null) {
			if (!dependencies.containsKey("z"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency z for procedure CabinFeverPlayerFirstSpawn!");
			return;
		}
		if (dependencies.get("entity") == null) {
			if (!dependencies.containsKey("entity"))
				CabinFeverMod.LOGGER.warn("Failed to load dependency entity for procedure CabinFeverPlayerFirstSpawn!");
			return;
		}
		IWorld world = (IWorld) dependencies.get("world");
		double x = dependencies.get("x") instanceof Integer ? (int) dependencies.get("x") : (double) dependencies.get("x");
		double y = dependencies.get("y") instanceof Integer ? (int) dependencies.get("y") : (double) dependencies.get("y");
		double z = dependencies.get("z") instanceof Integer ? (int) dependencies.get("z") : (double) dependencies.get("z");
		Entity entity = (Entity) dependencies.get("entity");
		if ((entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null)
				.orElse(new CabinFeverModVariables.PlayerVariables())).cabin_fever_risk == -696969) {
			if (world instanceof ServerWorld) {
				((World) world).getServer().getCommandManager().handleCommand(
						new CommandSource(ICommandSource.DUMMY, new Vector3d(x, y, z), Vector2f.ZERO, (ServerWorld) world, 4, "",
								new StringTextComponent(""), ((World) world).getServer(), null).withFeedbackDisabled(),
						"give @n written_book{pages:['[\"\",{\"text\":\"WHAT IS THIS?\",\"bold\":true,\"underlined\":true},{\"text\":\"\\\\nThis is a little survival guide I wrote to hopefully help whoever finds this (you!) in learning about Cabin Fever, and preventing yourself from getting sick with it.\",\"color\":\"reset\"}]','[\"\",{\"text\":\"WHAT IS CABIN FEVER?\",\"bold\":true,\"underlined\":true},{\"text\":\"\\\\nCabin Fever happens when you stay indoors for too long. I\\'m not sure how it happens, but it makes it near-impossible to sleep, use Elytras/Horses/anything that could make you go faster, as well as some other annoying effects.\",\"color\":\"reset\"}]','[\"\",{\"text\":\"PREVENTATIVE MEASURES\",\"bold\":true,\"underlined\":true},{\"text\":\"\\\\nTo avoid getting Cabin Fever:\\\\n\\\\n- Spend as much time outside as possible (at least 1/2 of your day)\\\\n- Eat stews to decrease your Cabin Fever risk\",\"color\":\"reset\"}]','[\"\",{\"text\":\"TREATMENT\",\"bold\":true,\"underlined\":true},{\"text\":\"\\\\nIf you\\'ve followed my instructions you won\\'t get sick. But if you do, here\\'s how to treat it:\\\\n\\\\n- Spend one full day outside.\\\\n- Make sure to bring a light & weapons, as well as anything else necessary to stay alive.\",\"color\":\"reset\"}]','{\"text\":\"That should be all the information you need. Good luck out there.\\\\n\\\\n- a survivor\"}'],title:\"Surviving Cabin Fever\",author:\"a survivor\",generation:3}");
			}
		}
	}
}
